Name:           perl-Catalyst-Model-XMLRPC
Version:        0.04
Release:        7%{?dist}
Summary:        XMLRPC model class for Catalyst
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Model-XMLRPC/
Source0:        http://www.cpan.org/authors/id/F/FM/FMERGES/Catalyst-Model-XMLRPC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Patch0:         config.patch

BuildRequires:  perl(Catalyst)
BuildRequires:  perl(Catalyst::Devel)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(RPC::XML)
BuildRequires:  perl(Test::More)
# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# not automagically picked up...
Requires:       perl(Catalyst::Model)

# keep rpmlint happy
%define broot %{buildroot}

%description
This model class uses RPC::XML::Client to invoke remote procedure calls
using XML-RPC.

%prep
%setup -q -n Catalyst-Model-XMLRPC-%{version}
%patch0 -p1

# note we first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
FOO=`perl -p -e 's|%{broot}%{_docdir}/%{name}-%{version}\S+||'`
%{__perl_provides} $FOO 
EOF

%define __perl_provides %{_builddir}/Catalyst-Model-XMLRPC-%{version}/%{name}-prov
chmod +x %{__perl_provides}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# network tests will fail in the buildsys.
%{?_with_network_tests: XMLRPC_TEST_LIVE=1} TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.04-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-3
- bump

* Thu Sep 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-2
- workaround buildroot/prep rpmlint false warning
- push perl/sed magic in prep into patch0

* Mon Jun 02 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.04-1
- Specfile autogenerated by cpanspec 1.75.
